Overview
Comment: | Added Tcl/Tk 8.6.6 in various places |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
73d93286c9d78e9d39083c5e8ad8a17d |
User & Date: | rkeene on 2016-08-03 14:28:49 |
Other Links: | manifest | tags |
Context
2016-08-04
| ||
15:06 | Quit building "boot.tcl.h" for kitsh since it is unused check-in: 268b96c949 user: rkeene tags: trunk | |
2016-08-03
| ||
14:28 | Added Tcl/Tk 8.6.6 in various places check-in: 73d93286c9 user: rkeene tags: trunk | |
2016-08-02
| ||
03:19 | Fix typos causing --disable-threads to fail to work sometimes and the "thread" package to not be included when --enable-threads is passed sometimes check-in: b7219bed1a user: rkeene tags: trunk | |
Changes
Modified build/test/test from [1606fd2709] to [e6c33b1b7f].
1 2 | #! /bin/bash | | | 1 2 3 4 5 6 7 8 9 10 | #! /bin/bash VERSIONS="8.5.19 8.6.6 fossil_trunk" # Find the base directory for x in 1 2 3 4 __fail__; do if [ "${x}" = "__fail__" ]; then echo 'Unable to find KitCreator, aborting.' >&2 exit 1 |
︙ | ︙ |
Modified build/web/kitcreator.vfs/index.rvt from [3f7e9d34fb] to [ae0fb2ce27].
︙ | ︙ | |||
21 22 23 24 25 26 27 28 29 30 31 32 33 34 | set tcl_versions(8.5.18) 8.5.18 set tcl_versions(8.5.19) 8.5.19 set tcl_versions(8.6.1) 8.6.1 set tcl_versions(8.6.2) 8.6.2 set tcl_versions(8.6.3) 8.6.3 set tcl_versions(8.6.4) 8.6.4 set tcl_versions(8.6.5) 8.6.5 set tcl_versions(fossil_trunk) "Fossil Trunk Tip" set platforms(android-arm) "Android/ARM" set platforms(freebsd-amd64) "FreeBSD/amd64" set platforms(hpux-hppa64) "HP-UX/PA-RISC 2.0" set platforms(linux-amd64) "Linux/amd64" set platforms(linux-amd64-static) "Linux/amd64 (static)" | > | 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 | set tcl_versions(8.5.18) 8.5.18 set tcl_versions(8.5.19) 8.5.19 set tcl_versions(8.6.1) 8.6.1 set tcl_versions(8.6.2) 8.6.2 set tcl_versions(8.6.3) 8.6.3 set tcl_versions(8.6.4) 8.6.4 set tcl_versions(8.6.5) 8.6.5 set tcl_versions(8.6.6) 8.6.6 set tcl_versions(fossil_trunk) "Fossil Trunk Tip" set platforms(android-arm) "Android/ARM" set platforms(freebsd-amd64) "FreeBSD/amd64" set platforms(hpux-hppa64) "HP-UX/PA-RISC 2.0" set platforms(linux-amd64) "Linux/amd64" set platforms(linux-amd64-static) "Linux/amd64 (static)" |
︙ | ︙ |
Modified kitcreator from [d8510101cc] to [5a0fe6c78b].
︙ | ︙ | |||
9 10 11 12 13 14 15 | clean|distclean|build|retry) mode="$1" shift ;; esac # Determine which Tcl version to build | | | 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | clean|distclean|build|retry) mode="$1" shift ;; esac # Determine which Tcl version to build TCLVERS="8.6.6" if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then TCLVERS="$1" shift fi export TCLVERS |
︙ | ︙ |
Modified tcl/build.sh from [24178e9f3f] to [e3041e7b51].
︙ | ︙ | |||
21 22 23 24 25 26 27 28 29 30 31 32 33 34 | PATCHDIR="$(pwd)/patches" export SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHSCRIPTDIR PATCHDIR case "${TCLVERS}" in 8.6.4) SRCHASH='9e6ed94c981c1d0c5f5fefb8112d06c6bf4d050a7327e95e71d417c416519c8d' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TCL_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TCL_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TCL_CPPFLAGS}" LIBS="${LIBS} ${KC_TCL_LIBS}" | > > > > > > | 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 | PATCHDIR="$(pwd)/patches" export SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHSCRIPTDIR PATCHDIR case "${TCLVERS}" in 8.6.4) SRCHASH='9e6ed94c981c1d0c5f5fefb8112d06c6bf4d050a7327e95e71d417c416519c8d' ;; 8.6.5) SRCHASH='ce26d5b9c7504fc25d2f10ef0b82b14cf117315445b5afa9e673ed331830fb53' ;; 8.6.6) SRCHASH='a265409781e4b3edcc4ef822533071b34c3dc6790b893963809b9fe221befe07' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TCL_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TCL_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TCL_CPPFLAGS}" LIBS="${LIBS} ${KC_TCL_LIBS}" |
︙ | ︙ |
Modified tk/build.sh from [b84462b734] to [16d189fb24].
︙ | ︙ | |||
21 22 23 24 25 26 27 28 29 30 31 32 33 34 | PATCHSCRIPTDIR="$(pwd)/patchscripts" export SRC SRCURL BUILDDIR PATCHDIR OUTDIR INSTDIR PATCHSCRIPTDIR case "${TCLVERS}" in 8.6.4) SRCHASH='08f99df85e5dc9c4271762163c6aabb962c8b297dc5c4c1af8bdd05fc2dd26c1' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TK_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TK_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TK_CPPFLAGS}" LIBS="${LIBS} ${KC_TK_LIBS}" | > > > > > > | 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 | PATCHSCRIPTDIR="$(pwd)/patchscripts" export SRC SRCURL BUILDDIR PATCHDIR OUTDIR INSTDIR PATCHSCRIPTDIR case "${TCLVERS}" in 8.6.4) SRCHASH='08f99df85e5dc9c4271762163c6aabb962c8b297dc5c4c1af8bdd05fc2dd26c1' ;; 8.6.5) SRCHASH='fbbd93541b4cd467841208643b4014c4543a54c3597586727f0ab128220d7946' ;; 8.6.6) SRCHASH='d62c371a71b4744ed830e3c21d27968c31dba74dd2c45f36b9b071e6d88eb19d' ;; esac # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_TK_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_TK_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_TK_CPPFLAGS}" LIBS="${LIBS} ${KC_TK_LIBS}" |
︙ | ︙ |